MODULE	'exec/nodes',
//			'exec/tasks',
//			'graphics/clip',
			'graphics/gfx',
			'graphics/layers',
			'graphics/rastport',
//			'graphics/text',
			'graphics/view'
//			'intuition/intuition',
//			'utility/tagitem'

CONST	DRI_VERSION=2

OBJECT DrawInfo
	Version:UWORD,
	NumPens:UWORD,
	Pens:PTR TO UWORD,
	Font:PTR TO TextFont,
	Depth:UWORD,
	ResolutionX:UWORD,
	ResolutionY:UWORD,
	Flags:LONG,
	CheckMark:PTR TO Image,
	AmigaKey:PTR TO Image,
	LongReserved[5]:LONG

CONST	DRIF_NEWLOOK=1,
		DRIB_NEWLOOK=0,
		DETAILPEN=0,
		BLOCKPEN=1,
		TEXTPEN=2,
		SHINEPEN=3,
		SHADOWPEN=4,
		FILLPEN=5,
		FILLTEXTPEN=6,
		BACKGROUNDPEN=7,
		HIGHLIGHTTEXTPEN=8,
		BARDETAILPEN=9,
		BARBLOCKPEN=10,
		BARTRIMPEN=11,
		NUMDRIPENS=12,
		PEN_C3=$FEFC,
		PEN_C2=$FEFD,
		PEN_C1=$FEFE,
		PEN_C0=$FEFF

OBJECT Screen
	NextScreen:PTR TO Screen,
	FirstWindow:PTR TO Window,
	LeftEdge:INT,
	TopEdge:INT,
	Width:INT,
	Height:INT,
	MouseY:INT,
	MouseX:INT,
	Flags:UWORD,
	Title:PTR TO CHAR,
	DefaultTitle:PTR TO CHAR,
	BarHeight:UBYTE,
	BarVBorder:UBYTE,
	BarHBorder:UBYTE,
	MenuVBorder:UBYTE,
	MenuHBorder:UBYTE,
	WBorTop:UBYTE,
	WBorLeft:UBYTE,
	WBorRight:UBYTE,
	WBorBottom:UBYTE,
	Font:PTR TO TextAttr,
	ViewPort:ViewPort,
	RastPort:RastPort,
	BitMap:BitMap,
	LayerInfo:Layer_Info,
	FirstGadget:PTR TO Gadget,
	DetailPen:CHAR,
	BlockPen:CHAR,
	SaveColor0:UWORD,
	BarLayer:PTR TO Layer,
	ExtData:PTR TO CHAR,
	UserData:PTR TO CHAR

CONST	SCREENTYPE=15,
		WBENCHSCREEN=1,
		PUBLICSCREEN=2,
		CUSTOMSCREEN=15,
		SHOWTITLE=16,
		BEEPING=$20,
		CUSTOMBITMAP=$40,
		SCREENBEHIND=$80,
		SCREENQUIET=$100,
		SCREENHIRES=$200,
		STDSCREENHEIGHT=-1,
		STDSCREENWIDTH=-1,
		NS_EXTENDED=$1000,
		AUTOSCROLL=$4000,
		PENSHARED=$400,
		SA_Dummy=$80000020,
		SA_Left=$80000021,
		SA_Top=$80000022,
		SA_Width=$80000023,
		SA_Height=$80000024,
		SA_Depth=$80000025,
		SA_DetailPen=$80000026,
		SA_BlockPen=$80000027,
		SA_Title=$80000028,
		SA_Colors=$80000029,
		SA_ErrorCode=$8000002A,
		SA_Font=$8000002B,
		SA_SysFont=$8000002C,
		SA_Type=$8000002D,
		SA_BitMap=$8000002E,
		SA_PubName=$8000002F,
		SA_PubSig=$80000030,
		SA_PubTask=$80000031,
		SA_DisplayID=$80000032,
		SA_DClip=$80000033,
		SA_Overscan=$80000034,
		SA_Obsolete1=$80000035,
		SA_ShowTitle=$80000036,
		SA_Behind=$80000037,
		SA_Quiet=$80000038,
		SA_AutoScroll=$80000039,
		SA_Pens=$8000003A,
		SA_FullPalette=$8000003B,
		SA_ColorMapEntries=$8000003C,
		SA_Parent=$8000003D,
		SA_Draggable=$8000003E,
		SA_Exclusive=$8000003F,
		SA_SharePens=$80000040,
		SA_BackFill=$80000041,
		SA_Interleaved=$80000042,
		SA_Colors32=$80000043,
		SA_VideoControl=$80000044,
		SA_FrontChild=$80000045,
		SA_BackChild=$80000046,
		SA_LikeWorkbench=$80000047,
		SA_Reserved=$80000048,
		SA_MinimizeISG=$80000049

ENUM	OSERR_NOMONITOR=1,
		OSERR_NOCHIPS,
		OSERR_NOMEM,
		OSERR_NOCHIPMEM,
		OSERR_PUBNOTUNIQUE,
		OSERR_UNKNOWNMODE,
		OSERR_TOODEEP,
		OSERR_ATTACHFAIL,
		OSERR_NOTAVAILABLE

OBJECT NS
	LeftEdge:INT,
	TopEdge:INT,
	Width:INT,
	Height:INT,
	Depth:INT,
	DetailPen:CHAR,
	BlockPen:CHAR,
	ViewModes:UWORD,
	Type:UWORD,
	Font:PTR TO TextAttr,
	DefaultTitle:PTR TO CHAR,
	Gadgets:PTR TO Gadget,
	Custombitmap:PTR TO BitMap

OBJECT ExtNewScreen OF NS
	Extension:PTR TO TagItem

ENUM	OSCAN_TEXT=1,
		OSCAN_STANDARD,
		OSCAN_MAX,
		OSCAN_VIDEO

OBJECT PubScreenNode
	LN:LN,
	Screen:PTR TO Screen,
	Flags:UWORD,
	Size:INT,
	VisitorCount:INT,
	SigTask:PTR TO TC,
	SigBit:CHAR,
	Pad1:CHAR

CONST	PSNF_PRIVATE=1,
		MAXPUBSCREENNAME=$8B,
		SHANGHAI=1,
		POPPUBSCREEN=2,
		SDEPTH_TOFRONT=0,
		SDEPTH_TOBACK=1,
		SDEPTH_INFAMILY=2,
		SDEPTH_CHILDONLY=2,
		SPOS_RELATIVE=0,
		SPOS_ABSOLUTE=1,
		SPOS_MAKEVISIBLE=2,
		SPOS_FORCEDRAG=4

OBJECT ScreenBuffer
	BitMap:PTR TO BitMap,
	DBufInfo:PTR TO DBufInfo

ENUM	SB_SCREEN_BITMAP=1,
		SB_COPY_BITMAP
